Overview
GET
/integration/integration-itemsintegrationList integration_items
List integration-items.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
List
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- connectionIdstring
- externalIdstring
- itemTypestring
- titlestring
- bodystring?
- statestring
- repoFullNamestring
- repoUrlstring?
- itemUrlstring?
- numberinteger?
- labelsstring?
- assigneesstring?
- isReadboolean
- notificationReasonstring?
- isDeletedboolean
- syncVersioninteger
- externalCreatedAtstring?
- externalUpdatedAtstring?
- createdAtstring
- updatedAtstring
Example
[
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"connectionId": "string",
"externalId": "string",
"itemType": "string",
"title": "string",
"body": "string",
"state": "string",
"repoFullName": "string",
"repoUrl": "string",
"itemUrl": "string",
"number": 0,
"labels": "string",
"assignees": "string",
"isRead": true,
"notificationReason": "string",
"isDeleted": true,
"syncVersion": 0,
"externalCreatedAt": "string",
"externalUpdatedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/integration/integration-items" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/integration/integration-items", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();